Bug 1823399 - Allow to only enable hybrid overlay without specifying Windows networks CIDRs
Summary: Allow to only enable hybrid overlay without specifying Windows networks CIDRs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.4.z
Assignee: Ricardo Carrillo Cruz
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1823400
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-13 15:13 UTC by Ricardo Carrillo Cruz
Modified: 2020-05-26 16:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1823400 (view as bug list)
Environment:
Last Closed: 2020-05-26 16:50:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
oc describe on ovnkube-master (18.54 KB, text/plain)
2020-04-15 18:31 UTC, Anurag saxena
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 588 None closed Bug 1823399: Allow to only enable hybrid overlay and not handle Windows networks 2020-10-29 06:25:29 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:45 UTC

Description Ricardo Carrillo Cruz 2020-04-13 15:13:17 UTC
The Hybrid Overlay feature allows to connect to external Windows networks.
For that, a config needs to be added to networks.operator.openshift.io similar to this:

spec:
  defaultNetwork:
    type: OVNKubernetes
    ovnKubernetesConfig:
      hybridOverlayConfig:
        hybridClusterNetwork:
        - cidr: 10.132.0.0/14
          hostPrefix: 23

However OVN Kubernetes already has that CIDR has default value, thus there's no point to forcing user to specify that.
Moreover, on the hybrid overlay external GW work that is been developed we want to leverage the VXLAN tunnels created by hybrid overlay but we don't care about Windows networks.

Comment 5 Anurag saxena 2020-04-15 18:31:23 UTC
Created attachment 1679153 [details]
oc describe on ovnkube-master

Comment 12 errata-xmlrpc 2020-05-26 16:50:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.